Bug 441860 - __init__.py:766: TypeError: sequence item 0: expected string, tuple found
__init__.py:766: TypeError: sequence item 0: expected string, tuple found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 11:45 EDT by Harald Hoyer
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: f9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 14:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2008-04-10 11:45:18 EDT
# rpm -q yum
yum-3.2.14-2.fc9

Running Transaction
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 188, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 430, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 766, in
runTransaction
    errstring = '\n'.join(errors)
TypeError: sequence item 0: expected string, tuple found
Comment 1 Harald Hoyer 2008-04-10 12:25:51 EDT
quickfixed with:
   errstring = '\n'.join([ str(err) for err in errors ])

output is:

('installing package java-1.5.0-gcj-javadoc-1.5.0.0-21.fc9.i386 needs 126MB on
the / filesystem', (9, '/', 131633152L))
('installing package redhat-rpm-config-9.0.2-1.fc9.noarch needs 126MB on the /
filesystem', (9, '/', 131641344L))
...
Comment 2 Harald Hoyer 2008-04-10 12:29:30 EDT
another traceback:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 152, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 624, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 649, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 740, in
_resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 269, in _processReq
    CheckDeps, missingdep = self._requiringFromInstalled(po, requirement, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 324, in
_requiringFromInstalled
    providers = self.rpmdb.getProvides(needname, needflags, needversion)
  File "/usr/lib/python2.5/site-packages/yum/rpmsack.py", line 530, in getProvides
    deptup = self._genDeptup(name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/rpmsack.py", line 521, in _genDeptup
    (misc.share_data(r_e), misc.share_data(r_v),
UnboundLocalError: local variable 'r_e' referenced before assignment
Comment 3 James Antill 2008-04-10 12:49:07 EDT
 The second error I've seen when altering my installed .py files ... try doing:

 touch /usr/lib/python2.5/site-packages/yum/*.py
Comment 4 Harald Hoyer 2008-04-10 13:25:49 EDT
fixed the second one by adding:
  r_e = r_v = r_r = None

a few lines before the traceback :)
Comment 5 James Antill 2008-04-10 18:17:57 EDT
 Ok, can you try:

http://koji.fedoraproject.org/packages/yum/3.2.14/5.fc9/noarch/yum-3.2.14-5.fc9.noarch.rpm

...this should have fixed both of the above issues.
Comment 6 Bug Zapper 2008-05-14 05:15:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeremy Katz 2008-06-12 14:53:11 EDT
This got fixed up AFAIK

Note You need to log in before you can comment on or make changes to this bug.